Page MenuHomePhabricator

selenium fails to connect to firefox (headless not sauce)
Closed, DeclinedPublic

Description

Selenium fails to connect to firefox (headless not sauce):
unable to obtain stable firefox connection in 60 seconds or
Connection refused - connect(2) (Errno::ECONNREFUSED)

Examples:
http://raita.wmflabs.org/#projects/https%3A%2F%2Fgithub.com%2Fwmde%2FWikidataBrowserTests.git/builds/lvOxGqnKTwmPAu3ctkIovg
http://raita.wmflabs.org/#projects/https%3A%2F%2Fgithub.com%2Fwmde%2FWikidataBrowserTests.git/builds/FLBroL2mRIOCJAGEQ3QFvw (from T116166#1769311 )

Details

Related Gerrit Patches:

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 3 2015, 4:27 PM

To make this work: try to do the same as the gerrit triggered build, see mw-set-env-mw-selenium.sh in jenkins repo.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 6:32 PM
hashar added a subscriber: hashar.EditedNov 10 2015, 3:24 PM

Example https://integration.wikimedia.org/ci/job/browsertests-Wikidata-WikidataTests-linux-firefox-sauce/413/

Should double check the XVFB display vary by executor just like mw-set-env-mw-selenium.sh

So we should verify we use something like:

# Let MW-Selenium setup/teardown an isolated Xvfb on a display between 70-90
# for this build
export HEADLESS=true
export HEADLESS_DISPLAY=$((70 + EXECUTOR_NUMBER % 20))
export HEADLESS_DESTROY_AT_EXIT=true
export HEADLESS_CAPTURE_PATH="$WORKSPACE/log"

Our jjb macro browsertest-website only does HEADLESS=true :-(

Change 252234 had a related patch set uploaded (by JanZerebecki):
Wikidata headless browser tests: disable triggering

https://gerrit.wikimedia.org/r/252234

JanZerebecki triaged this task as Medium priority.Nov 10 2015, 4:52 PM
JanZerebecki removed a project: Patch-For-Review.
JanZerebecki moved this task from Proposed to Done on the Wikidata-Sprint-2015-11-03 board.

Change 252234 merged by jenkins-bot:
Wikidata headless browser tests: disable triggering

https://gerrit.wikimedia.org/r/252234

JanZerebecki moved this task from incoming to monitoring on the Wikidata board.Nov 10 2015, 5:14 PM
Jonas closed this task as Resolved.Nov 12 2015, 9:07 PM
JanZerebecki reopened this task as Open.Nov 13 2015, 11:26 AM

The problem in the Wikimedia CI still exists. We just disabled using the headless jobs.

hashar lowered the priority of this task from Medium to Low.Nov 19 2015, 3:15 PM

Is this still a problem? Can this be resolved?

zeljkofilipin closed this task as Declined.Nov 7 2017, 2:57 PM

Unlikely to ever be resolved because of T139740: Port Selenium tests from Ruby to Node.js.